﻿Option Explicit On
Option Strict On

Imports System
Imports System.Text
Imports System.Text.RegularExpressions
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Windows.Forms.Message
Imports System.Drawing
Imports Infragistics.Documents


Imports System.Windows.Forms.Integration
Imports Infragistics.Controls.Editors
Imports Infragistics.Win.UltraWinToolbars
Imports Infragistics.Documents.Parsing
Imports Infragistics.Documents.TextDocument
Imports System.Windows.Input


Public Class CodeEditor
    Inherits System.Windows.Forms.UserControl


#Region "Windows Form Designer generated code "
    '=========================================================================================
    Public Sub New()
        MyBase.New()
        InitializeComponent()

        ''
        ''TextDoument
        ''
        Dim Document As TextDocument = New TextDocument()
        Document.Language = VisualBasicLanguage.instance()
        Me.editor.ErrorDisplayMode = SyntaxErrorDisplayMode.Always
        Me.editor.SplitOptions = EditorDocumentViewSplitOptions.SplittingNotAllowed
        Me.editor.Document = Document
        Me.host.Child = Me.editor

    End Sub


    ''=========================================================================================
    'Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
    '    If disposing Then
    '        If Not (components Is Nothing) Then
    '            components.Dispose()
    '        End If
    '    End If
    '    MyBase.Dispose(disposing)
    'End Sub   'Dispose(ByVal disposing As Boolean)
    '=========================================================================================
    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer
    Friend WithEvents Panel_Frame As System.Windows.Forms.Panel

    Friend WithEvents RTF_Temp As System.Windows.Forms.RichTextBox
    Friend WithEvents spltLineEditor As System.Windows.Forms.Splitter
    Friend WithEvents spltEditorCompile As System.Windows.Forms.Splitter
    Friend WithEvents RTF As System.Windows.Forms.RichTextBox
    Friend WithEvents panelCounter As System.Windows.Forms.Panel
    Private WithEvents UltraToolbarsManager1 As Infragistics.Win.UltraWinToolbars.UltraToolbarsManager
    Private WithEvents _CodeEditor_Toolbars_Dock_Area_Left As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Private WithEvents _CodeEditor_Toolbars_Dock_Area_Right As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Private WithEvents _CodeEditor_Toolbars_Dock_Area_Top As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Private WithEvents _CodeEditor_Toolbars_Dock_Area_Bottom As Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea
    Friend WithEvents PanelEditor As System.Windows.Forms.Panel
    Friend WithEvents host As System.Windows.Forms.Integration.ElementHost
    Friend editor As Infragistics.Controls.Editors.XamSyntaxEditor

    Friend WithEvents lblCounter As System.Windows.Forms.Label
    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Dim UltraToolbar1 As Infragistics.Win.UltraWinToolbars.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbar("UltraToolbar1")
        Dim PopupMenuTool1 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("Menubar")
        Dim UltraToolbar2 As Infragistics.Win.UltraWinToolbars.UltraToolbar = New Infragistics.Win.UltraWinToolbars.UltraToolbar("Toolbar")
        Dim ButtonTool1 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Undo")
        Dim ButtonTool2 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Redo")
        Dim ButtonTool3 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Select All")
        Dim ButtonTool4 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Cut")
        Dim ButtonTool5 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Copy")
        Dim ButtonTool6 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Paste")
        Dim ButtonTool7 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Find")
        Dim ButtonTool8 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Check Syntax")
        Dim ButtonTool9 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("ToggleErrors")
        Dim PopupMenuTool2 As Infragistics.Win.UltraWinToolbars.PopupMenuTool = New Infragistics.Win.UltraWinToolbars.PopupMenuTool("Menubar")
        Dim ButtonTool10 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Undo")
        Dim ButtonTool11 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Select All")
        Dim ButtonTool12 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Cut")
        Dim ButtonTool13 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Copy")
        Dim ButtonTool14 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Paste")
        Dim ButtonTool15 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Find")
        Dim ButtonTool16 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Replace")
        Dim ButtonTool17 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Check Syntax")
        Dim ButtonTool18 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("ToggleErrors")
        Dim ButtonTool19 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Undo")
        Dim ButtonTool20 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Select All")
        Dim ButtonTool21 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Cut")
        Dim ButtonTool22 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Copy")
        Dim ButtonTool23 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Paste")
        Dim ButtonTool24 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Find")
        Dim ButtonTool25 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Replace")
        Dim ButtonTool26 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Check Syntax")
        Dim ButtonTool27 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("ToggleErrors")
        Dim ButtonTool28 As Infragistics.Win.UltraWinToolbars.ButtonTool = New Infragistics.Win.UltraWinToolbars.ButtonTool("Redo")
        Me.Panel_Frame = New System.Windows.Forms.Panel()
        Me.PanelEditor = New System.Windows.Forms.Panel()
        Me.host = New System.Windows.Forms.Integration.ElementHost()
        Me.editor = New Infragistics.Controls.Editors.XamSyntaxEditor()
        Me.panelCounter = New System.Windows.Forms.Panel()
        Me.lblCounter = New System.Windows.Forms.Label()
        Me.spltLineEditor = New System.Windows.Forms.Splitter()
        Me.RTF_Temp = New System.Windows.Forms.RichTextBox()
        Me.spltEditorCompile = New System.Windows.Forms.Splitter()
        Me._CodeEditor_Toolbars_Dock_Area_Left = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me.UltraToolbarsManager1 = New Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(Me.components)
        Me._CodeEditor_Toolbars_Dock_Area_Right = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me._CodeEditor_Toolbars_Dock_Area_Top = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me._CodeEditor_Toolbars_Dock_Area_Bottom = New Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea()
        Me.Panel_Frame.SuspendLayout()
        Me.PanelEditor.SuspendLayout()
        Me.panelCounter.SuspendLayout()
        CType(Me.UltraToolbarsManager1, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'Panel_Frame
        '
        Me.Panel_Frame.Controls.Add(Me.PanelEditor)
        Me.Panel_Frame.Controls.Add(Me.panelCounter)
        Me.Panel_Frame.Controls.Add(Me.spltLineEditor)
        Me.Panel_Frame.Dock = System.Windows.Forms.DockStyle.Fill
        Me.Panel_Frame.Location = New System.Drawing.Point(0, 27)
        Me.Panel_Frame.Name = "Panel_Frame"
        Me.Panel_Frame.Size = New System.Drawing.Size(276, 181)
        Me.Panel_Frame.TabIndex = 6
        '
        'PanelEditor
        '
        Me.PanelEditor.Controls.Add(Me.host)
        Me.PanelEditor.Dock = System.Windows.Forms.DockStyle.Fill
        Me.PanelEditor.Location = New System.Drawing.Point(1, 0)
        Me.PanelEditor.Name = "PanelEditor"
        Me.PanelEditor.Size = New System.Drawing.Size(275, 166)
        Me.PanelEditor.TabIndex = 7
        '
        'host
        '
        Me.UltraToolbarsManager1.SetContextMenuUltra(Me.host, "Menubar")
        Me.host.Dock = System.Windows.Forms.DockStyle.Fill
        Me.host.Location = New System.Drawing.Point(0, 0)
        Me.host.Name = "host"
        Me.host.Size = New System.Drawing.Size(275, 166)
        Me.host.TabIndex = 0
        Me.host.Child = Me.editor
        '
        'panelCounter
        '
        Me.panelCounter.Controls.Add(Me.lblCounter)
        Me.panelCounter.Dock = System.Windows.Forms.DockStyle.Bottom
        Me.panelCounter.Location = New System.Drawing.Point(1, 166)
        Me.panelCounter.Name = "panelCounter"
        Me.panelCounter.Size = New System.Drawing.Size(275, 15)
        Me.panelCounter.TabIndex = 5
        '
        'lblCounter
        '
        Me.lblCounter.Dock = System.Windows.Forms.DockStyle.Fill
        Me.lblCounter.Font = New System.Drawing.Font("Microsoft Sans Serif", 6.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblCounter.Location = New System.Drawing.Point(0, 0)
        Me.lblCounter.Name = "lblCounter"
        Me.lblCounter.Size = New System.Drawing.Size(275, 15)
        Me.lblCounter.TabIndex = 9
        Me.lblCounter.Text = "Label1"
        '
        'spltLineEditor
        '
        Me.spltLineEditor.BackColor = System.Drawing.SystemColors.AppWorkspace
        Me.spltLineEditor.Location = New System.Drawing.Point(0, 0)
        Me.spltLineEditor.Name = "spltLineEditor"
        Me.spltLineEditor.Size = New System.Drawing.Size(1, 181)
        Me.spltLineEditor.TabIndex = 3
        Me.spltLineEditor.TabStop = False
        '
        'RTF_Temp
        '
        Me.RTF_Temp.Font = New System.Drawing.Font("Verdana", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.RTF_Temp.Location = New System.Drawing.Point(0, 0)
        Me.RTF_Temp.Name = "RTF_Temp"
        Me.RTF_Temp.Size = New System.Drawing.Size(100, 96)
        Me.RTF_Temp.TabIndex = 7
        Me.RTF_Temp.Text = ""
        Me.RTF_Temp.Visible = False
        '
        'spltEditorCompile
        '
        Me.spltEditorCompile.Dock = System.Windows.Forms.DockStyle.Bottom
        Me.spltEditorCompile.Location = New System.Drawing.Point(0, 205)
        Me.spltEditorCompile.Name = "spltEditorCompile"
        Me.spltEditorCompile.Size = New System.Drawing.Size(276, 3)
        Me.spltEditorCompile.TabIndex = 8
        Me.spltEditorCompile.TabStop = False
        '
        '_CodeEditor_Toolbars_Dock_Area_Left
        '
        Me._CodeEditor_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._CodeEditor_Toolbars_Dock_Area_Left.BackColor = System.Drawing.SystemColors.Control
        Me._CodeEditor_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left
        Me._CodeEditor_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText
        Me._CodeEditor_Toolbars_Dock_Area_Left.Location = New System.Drawing.Point(0, 27)
        Me._CodeEditor_Toolbars_Dock_Area_Left.Name = "_CodeEditor_Toolbars_Dock_Area_Left"
        Me._CodeEditor_Toolbars_Dock_Area_Left.Size = New System.Drawing.Size(0, 181)
        Me._CodeEditor_Toolbars_Dock_Area_Left.ToolbarsManager = Me.UltraToolbarsManager1
        '
        'UltraToolbarsManager1
        '
        Me.UltraToolbarsManager1.DesignerFlags = 0
        Me.UltraToolbarsManager1.DockWithinContainer = Me
        Me.UltraToolbarsManager1.RuntimeCustomizationOptions = Infragistics.Win.UltraWinToolbars.RuntimeCustomizationOptions.None
        Me.UltraToolbarsManager1.SettingsKey = "CodeEditor.UltraToolbarsManager1"
        Me.UltraToolbarsManager1.ShowFullMenusDelay = 500
        Me.UltraToolbarsManager1.ShowShortcutsInToolTips = True
        UltraToolbar1.DockedColumn = 0
        UltraToolbar1.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Floating
        UltraToolbar1.DockedRow = 0
        UltraToolbar1.FloatingLocation = New System.Drawing.Point(134, 208)
        UltraToolbar1.FloatingSize = New System.Drawing.Size(107, 44)
        UltraToolbar1.IsStockToolbar = False
        UltraToolbar1.NonInheritedTools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {PopupMenuTool1})
        UltraToolbar1.Settings.ToolDisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        UltraToolbar1.Text = "UltraToolbar1"
        UltraToolbar1.Visible = False
        UltraToolbar2.DockedColumn = 0
        UltraToolbar2.DockedRow = 0
        UltraToolbar2.NonInheritedTools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool1, ButtonTool2, ButtonTool3, ButtonTool4, ButtonTool5, ButtonTool6, ButtonTool7, ButtonTool8, ButtonTool9})
        UltraToolbar2.Settings.AllowCustomize = Infragistics.Win.DefaultableBoolean.[False]
        UltraToolbar2.Text = "Toolbar"
        Me.UltraToolbarsManager1.Toolbars.AddRange(New Infragistics.Win.UltraWinToolbars.UltraToolbar() {UltraToolbar1, UltraToolbar2})
        PopupMenuTool2.SharedPropsInternal.Caption = "Menubar"
        ButtonTool10.InstanceProps.IsFirstInGroup = True
        ButtonTool11.InstanceProps.IsFirstInGroup = True
        ButtonTool15.InstanceProps.IsFirstInGroup = True
        ButtonTool18.InstanceProps.IsFirstInGroup = True
        PopupMenuTool2.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {ButtonTool10, ButtonTool11, ButtonTool12, ButtonTool13, ButtonTool14, ButtonTool15, ButtonTool16, ButtonTool17, ButtonTool18})
        ButtonTool19.SharedPropsInternal.Caption = "&Undo"
        ButtonTool19.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool20.SharedPropsInternal.Caption = "Select &All"
        ButtonTool20.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool21.SharedPropsInternal.Caption = "Cu&t"
        ButtonTool21.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool22.SharedPropsInternal.Caption = "&Copy"
        ButtonTool22.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool23.SharedPropsInternal.Caption = "&Paste"
        ButtonTool23.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool24.SharedPropsInternal.Caption = "&Find"
        ButtonTool24.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool25.SharedPropsInternal.Caption = "&Replace"
        ButtonTool25.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool26.SharedPropsInternal.Caption = "Check Syntax"
        ButtonTool26.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool27.SharedPropsInternal.Caption = "&Hide Errors"
        ButtonTool27.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        ButtonTool28.SharedPropsInternal.Caption = "Redo"
        ButtonTool28.SharedPropsInternal.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.TextOnlyAlways
        Me.UltraToolbarsManager1.Tools.AddRange(New Infragistics.Win.UltraWinToolbars.ToolBase() {PopupMenuTool2, ButtonTool19, ButtonTool20, ButtonTool21, ButtonTool22, ButtonTool23, ButtonTool24, ButtonTool25, ButtonTool26, ButtonTool27, ButtonTool28})
        '
        '_CodeEditor_Toolbars_Dock_Area_Right
        '
        Me._CodeEditor_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._CodeEditor_Toolbars_Dock_Area_Right.BackColor = System.Drawing.SystemColors.Control
        Me._CodeEditor_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right
        Me._CodeEditor_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText
        Me._CodeEditor_Toolbars_Dock_Area_Right.Location = New System.Drawing.Point(276, 27)
        Me._CodeEditor_Toolbars_Dock_Area_Right.Name = "_CodeEditor_Toolbars_Dock_Area_Right"
        Me._CodeEditor_Toolbars_Dock_Area_Right.Size = New System.Drawing.Size(0, 181)
        Me._CodeEditor_Toolbars_Dock_Area_Right.ToolbarsManager = Me.UltraToolbarsManager1
        '
        '_CodeEditor_Toolbars_Dock_Area_Top
        '
        Me._CodeEditor_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._CodeEditor_Toolbars_Dock_Area_Top.BackColor = System.Drawing.SystemColors.Control
        Me._CodeEditor_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top
        Me._CodeEditor_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText
        Me._CodeEditor_Toolbars_Dock_Area_Top.Location = New System.Drawing.Point(0, 0)
        Me._CodeEditor_Toolbars_Dock_Area_Top.Name = "_CodeEditor_Toolbars_Dock_Area_Top"
        Me._CodeEditor_Toolbars_Dock_Area_Top.Size = New System.Drawing.Size(276, 27)
        Me._CodeEditor_Toolbars_Dock_Area_Top.ToolbarsManager = Me.UltraToolbarsManager1
        '
        '_CodeEditor_Toolbars_Dock_Area_Bottom
        '
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.SystemColors.Control
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.Location = New System.Drawing.Point(0, 208)
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.Name = "_CodeEditor_Toolbars_Dock_Area_Bottom"
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.Size = New System.Drawing.Size(276, 0)
        Me._CodeEditor_Toolbars_Dock_Area_Bottom.ToolbarsManager = Me.UltraToolbarsManager1
        '
        'CodeEditor
        '
        Me.Controls.Add(Me.spltEditorCompile)
        Me.Controls.Add(Me.Panel_Frame)
        Me.Controls.Add(Me._CodeEditor_Toolbars_Dock_Area_Left)
        Me.Controls.Add(Me._CodeEditor_Toolbars_Dock_Area_Right)
        Me.Controls.Add(Me._CodeEditor_Toolbars_Dock_Area_Bottom)
        Me.Controls.Add(Me._CodeEditor_Toolbars_Dock_Area_Top)
        Me.Name = "CodeEditor"
        Me.Size = New System.Drawing.Size(276, 208)
        Me.Panel_Frame.ResumeLayout(False)
        Me.PanelEditor.ResumeLayout(False)
        Me.panelCounter.ResumeLayout(False)
        CType(Me.UltraToolbarsManager1, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub

#End Region


#Region " Variable Declarations "
    Dim m_showToolbar As Boolean = False
#End Region





#Region " Properties "
    Public ReadOnly Property SyntaxEditor As XamSyntaxEditor
        Get
            Dim host As ElementHost = CType(Me.PanelEditor.Controls(0), ElementHost)
            Return CType(host.Child, XamSyntaxEditor)
        End Get
    End Property



    Public Property ShowToolBar() As Boolean
        Get
            Return m_showToolbar
        End Get
        Set(value As Boolean)
            m_showToolbar = value
            Me.UltraToolbarsManager1.Visible = m_showToolbar
        End Set
    End Property

    Public Overrides Property Text() As String
        Get
            Try
                Return Me.SyntaxEditor.Document.CurrentSnapshot.GetText
            Catch ex As Exception
                Throw ex
            End Try
        End Get
        Set(ByVal Value As String)
            If Not Me.SyntaxEditor.Document.CurrentSnapshot.GetText().ToLower() = Value.ToLower() Then
                Me.SyntaxEditor.Document.InitializeText(Value)
            End If
        End Set
    End Property

#End Region

 



End Class






